summaryrefslogtreecommitdiff
path: root/home/xyz
diff options
context:
space:
mode:
Diffstat (limited to 'home/xyz')
-rw-r--r--home/xyz/.config/myconf/upd_rsync_files1
-rwxr-xr-xhome/xyz/.local/bin/upd22
-rwxr-xr-xhome/xyz/.local/bin/xmr4
-rw-r--r--home/xyz/.profile6
4 files changed, 11 insertions, 22 deletions
diff --git a/home/xyz/.config/myconf/upd_rsync_files b/home/xyz/.config/myconf/upd_rsync_files
index f7e62551..ce7d01ab 100644
--- a/home/xyz/.config/myconf/upd_rsync_files
+++ b/home/xyz/.config/myconf/upd_rsync_files
@@ -1,4 +1,3 @@
-home/xyz/.bitmonero/wallets
home/xyz/.cache/nsxiv
home/xyz/.config/qBittorrent
home/xyz/.config/qmmp/qmmp.conf
diff --git a/home/xyz/.local/bin/upd b/home/xyz/.local/bin/upd
index e56a509c..f2ea2565 100755
--- a/home/xyz/.local/bin/upd
+++ b/home/xyz/.local/bin/upd
@@ -5,7 +5,7 @@ all () {
qb
refl
usb
- xmr
+ #xmr
}
clean () {
@@ -98,24 +98,24 @@ usb () {
#rsync -navPR --delete ~/archive ~/documents ~/downloads ~/music ~/pictures ~/programs ~/test ~/videos ~/.local/share/stardict/dic ~/.local/share/qBittorrent ~/.local/share/sdcv_history ~/.cache/nsxiv ~/.config/qBittorrent ~/.bitmonero/wallets ~/.password-store /run/media/xyz/bd0
# --files-from make -a not imply -r, so need to specify explicitly
- rsync -avPRr --delete --files-from="$XDG_CONFIG_HOME/myconf/upd_rsync_files" / /run/media/xyz/bd0
+ rsync -avPRr --delete --files-from="$XDG_CONFIG_HOME/myconf/upd_rsync_files" / /run/media/xyz/bd0/pp
# not sure if useful or not
sync
}
-xmr () {
- # use cd to workaround monero-blockchain-export.log log file save in current dir? issue, haven't tested
- cd "$HOME/.bitmonero" || exit
- monero-blockchain-export --output-file /run/media/xyz/bd0/archive/monero/blockchain.raw
- # not sure if useful or not
- sync
-}
+#xmr () {
+# # use cd to workaround monero-blockchain-export.log log file save in current dir? issue, haven't tested
+# cd "$HOME/.bitmonero" || exit
+# monero-blockchain-export --output-file /run/media/xyz/bd0/archive/monero/blockchain.raw
+# # not sure if useful or not
+# sync
+#}
if [ $# -eq 0 ]; then
fast
else
- while getopts acfjmpqrux opt; do
+ while getopts acfjmpqru opt; do
case $opt in
a)all;;
c)clean;;
@@ -126,7 +126,7 @@ else
q)qb;;
r)refl;;
u)usb;;
- x)xmr;;
+ #x)xmr;;
\?)exit 1;;
esac
done
diff --git a/home/xyz/.local/bin/xmr b/home/xyz/.local/bin/xmr
deleted file mode 100755
index e0516b9a..00000000
--- a/home/xyz/.local/bin/xmr
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/bin/sh
-
-pidof -q monerod || alacritty -e monerod
-monero-wallet-cli --config-file="$HOME/.bitmonero/monero-wallet-cli.conf"
diff --git a/home/xyz/.profile b/home/xyz/.profile
index f6dd5e8c..7cb95096 100644
--- a/home/xyz/.profile
+++ b/home/xyz/.profile
@@ -89,9 +89,3 @@ playerctld daemon
# https://github.com/koalaman/shellcheck/wiki/SC3046
#[[ -f ~/.bashrc ]] && . ~/.bashrc
[ -f "$HOME/.bashrc" ] && . "$HOME/.bashrc"
-
-# startx when login, should be put after environmental variables for .xinitrc to use
-# use `[ "$XDG_VTNR" ]` to avoid "-bash: [: : integer expression expected" warning/error message, when `sudo su - xyz` or ssh into a remote server, not sure if best practice or not
-if [ -z "$DISPLAY" ] && [ "$XDG_VTNR" ] && [ "$XDG_VTNR" -eq 1 ]; then
- exec startx
-fi